Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class BadStringOperationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.BadStringOperationException

All Implemented Interfaces:
  Serializable

    public class BadStringOperationException

extends Exception

Thrown when an invalid string operation is passed to a method for constructing a query.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`BadStringOperationException(String message)` Constructs a `BadStringOperationException` with the specified detail message.

Method Summary
`String` | `toString()` Returns the string representing the object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadStringOperationException

    public BadStringOperationException(String message)

  Constructs a `BadStringOperationException` with the specified detail message.

  Parameters:
    `message` - the detail message.

Method Detail

### toString

    public String toString()

  Returns the string representing the object.

  Overrides:
    `toString` in class `Throwable`
  Returns:
    a string representation of this throwable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.